Package ru.bgcrm.plugin.task.dao

# Class TaskDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.plugin.task.dao.TaskDAO

public class TaskDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteTasks(int processId, String typeId)`
  Удаляет задачи по процессу и типу.
  `List<Task>`
  `getScheduledTasks(int limit)`
  Возвращает список запланированных к исполнению задач.
  `void`
  `searchTasks(Pageable<Task> result, int processId, int typeId, boolean onlyOpen)`
  Возвращает список задач с фильтром по процессу и типу.
  `void`
  `updateTask(Task task)`
  Добавляет новую задачу (id <=0 ), либо обновляет дату выполнения и лог у существующей.

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TaskDAO

    public TaskDAO(Connection con)

- ## Method Details

  - ### searchTasks

    public void searchTasks(Pageable<Task> result, int processId, int typeId, boolean onlyOpen) throws SQLException
    Возвращает список задач с фильтром по процессу и типу.
    Parameters:
      `processId` - обязательный фильтр по процессу.
      `typeId` - > 0, фильтр по типу процесса.
      `onlyOpen` - только не выполненные.
    Throws:
      `SQLException`

  - ### getScheduledTasks

    public List<Task> getScheduledTasks(int limit) throws SQLException
    Возвращает список запланированных к исполнению задач.
    Parameters:
      `limit` -
    Returns:
    Throws:
      `SQLException`

  - ### updateTask

    public void updateTask(Task task) throws SQLException
    Добавляет новую задачу (id <=0 ), либо обновляет дату выполнения и лог у существующей.
    Parameters:
      `task` -
    Throws:
      `SQLException`

  - ### deleteTasks

    public void deleteTasks(int processId, String typeId) throws SQLException
    Удаляет задачи по процессу и типу.
    Parameters:
      `processId` -
      `typeId` -
    Throws:
      `SQLException`